
QGIS Application - Bug report #11285

The cell to set the order of symbol level are disappeared

2014-09-27 12:50 PM - aperi2007 -

Status: Closed

Priority: Normal

Assignee: Martin Dobias

Category: GUI

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19581

Description

I try to use the new qgis-dev, and see that in the style section.

When choose the advanced Level Symbol.

The windows don't show the cell where set the number of priority of the level.

I try to enlarge the windows to see if it is on left or right but nothing.

I show an image to better explain:

https://www.dropbox.com/s/xbjlkkkauvl3w5g/img.jpg?dl=1

A.

Associated revisions

Revision f652afb9 - 2014-10-02 05:41 PM - Martin Dobias

Fix #11285 (improve symbol levels dialog for long symbol labels) - by Salvatore Larosa

History

#1 - 2014-09-28 03:34 AM - Salvatore Larosa

- Pull Request or Patch supplied changed from No to Yes

- Assignee set to Martin Dobias

- File symbollevels.png added

there is a patch here https://gist.github.com/slarosa/9431e90bc4396f3057ad

The patch also introduces to save geometry for the symbol levels dialog.

basically changes the header by removing only the symbol label which now is a read only cell in order to allow to resize it.

I am not aware of a different workaround for fixing this. Maybe Martin has something better :-)

symbollevels.png

#2 - 2014-10-02 08:42 AM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"f652afb9fac246742d7a131bcd9b6b7f7156709f".
https://gist.github.com/slarosa/9431e90bc4396f3057ad


#3 - 2014-10-02 08:44 AM - Martin Dobias

Thanks Salvatore for the fix! I have applied it with just minor changes.
